Debian Bug report logs - #206886
ITA: libglade -- Library to load .glade files at runtime

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 23 Aug 2003 18:19:08 UTC

Owned by: Thomas Bushnell BSG <tb@becket.net>

Severity: normal

Fixed in version libglade/1:0.17-5

Done: tb@debian.org (Thomas Bushnell, BSG)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#206886; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Paolo Molaro <lupus@debian.org>
Subject: O: libglade -- Development files for libglade.
Date: Sun, 24 Aug 2003 01:48:35 +1000
Package: wnpp
Severity: normal

The current maintainer of libglade, Paolo Molaro <lupus@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libglade
Binary: libglade0-dev, libglade-bonobo0, libglade-bonobo0-dev, libglade-gnome0, libglade0, libglade-gnome0-dev
Version: 1:0.17-2.7
Priority: optional
Section: devel
Maintainer: Paolo Molaro <lupus@debian.org>
Build-Depends: debhelper (>= 3.0.5), libxml-dev, libgnome-dev (>= 1.4.2-3),
 libbonobo-dev (>= 1.0.20-2.1), gtk-doc-tools, perl
Architecture: any
Standards-Version: 3.5.1
Format: 1.0
Directory: pool/main/libg/libglade
Files: 918365571eb5460d714b74fc04dca160 1045 libglade_0.17-2.7.dsc
 38b2e2cfd813783fe157617813bfe3b3 418921 libglade_0.17.orig.tar.gz
 e54f641db137adeb9b51da19964f0704 31014 libglade_0.17-2.7.diff.gz

Package: libglade-bonobo0
Priority: optional
Section: libs
Installed-Size: 48
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libglade
Version: 1:0.17-2.7
Depends: libglade-gnome0 (= 1:0.17-2.7), bonobo (>= 1.0.20), gdk-imlib1, libart2 (>= 1.2.13-5), libaudiofile0 (>= 0.2.3-4), libbonobo2 (>= 1.0.20), libc6 (>= 2.2.5-13), libdb3 (>= 3.2.9-17), libesd0 (>= 0.2.23-1) | libesd-alsa0 (>= 0.2.23-1), libgdk-pixbuf2 (>= 0.18.0-3), libglib1.2 (>= 1.2.0), libgnome32 (>= 1.2.13-5), libgnomesupport0 (>= 1.2.13-5), libgnomeui32 (>= 1.4.2-3), libgtk1.2 (>= 1.2.10-4), liboaf0 (>= 0.6.10), liborbit0 (>= 0.5.16), libxml1 (>= 1:1.8.14-3), oaf (>= 0.6.10), xlibs (>> 4.1.0), zlib1g (>= 1:1.1.4)
Filename: pool/main/libg/libglade/libglade-bonobo0_0.17-2.7_i386.deb
Size: 23234
MD5sum: cc9830408d0b716a55afd81eaeff6390
Description: Library to load .glade files at runtime (Bonobo controls support).
 This library allows you to load user interfaces in your program, which are
 stored externally.  This allows alteration of the interface without
 recompilation of the program.
 .
 The interfaces can also be edited with GLADE.

Package: libglade-bonobo0-dev
Priority: optional
Section: devel
Installed-Size: 40
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libglade
Version: 1:0.17-2.7
Provides: libglade-bonobo-dev
Depends: libglade0-dev (= 1:0.17-2.7), libglade0 (= 1:0.17-2.7), libglade-bonobo0 (= 1:0.17-2.7), libgnome-dev (>= 1.4.2-3), libxml-dev, libbonobo-dev
Suggests: glade
Filename: pool/main/libg/libglade/libglade-bonobo0-dev_0.17-2.7_i386.deb
Size: 22420
MD5sum: 64db41cc0346ab9c29b9f8af514b6ab5
Description: Development files for libglade (Bonobo controls support).
 This library allows you to load user interfaces in your program, which are
 stored externally.  This allows alteration of the interface without
 recompilation of the program.
 .
 The interfaces can also be edited with GLADE.

Package: libglade-gnome0
Priority: optional
Section: libs
Installed-Size: 96
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libglade
Version: 1:0.17-2.7
Depends: libglade0 (= 1:0.17-2.7), gdk-imlib1, libart2 (>= 1.2.13-5), libaudiofile0 (>= 0.2.3-4), libc6 (>= 2.2.5-13), libdb3 (>= 3.2.9-17), libesd0 (>= 0.2.23-1) | libesd-alsa0 (>= 0.2.23-1), libglib1.2 (>= 1.2.0), libgnome32 (>= 1.2.13-5), libgnomesupport0 (>= 1.2.13-5), libgnomeui32 (>= 1.4.2-3), libgtk1.2 (>= 1.2.10-4), libxml1 (>= 1:1.8.14-3), xlibs (>> 4.1.0), zlib1g (>= 1:1.1.4)
Filename: pool/main/libg/libglade/libglade-gnome0_0.17-2.7_i386.deb
Size: 41804
MD5sum: fac70d741e9c53211df8d80b7b2d356c
Description: Library to load .glade files at runtime (Gnome widgets support).
 This library allows you to load user interfaces in your program, which are
 stored externally.  This allows alteration of the interface without
 recompilation of the program.
 .
 The interfaces can also be edited with GLADE.

Package: libglade-gnome0-dev
Priority: optional
Section: devel
Installed-Size: 92
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libglade
Version: 1:0.17-2.7
Replaces: libglade0-dev (= 0.16-1)
Provides: libglade-gnome-dev
Depends: libglade0-dev (= 1:0.17-2.7), libglade0 (= 1:0.17-2.7), libglade-gnome0 (= 1:0.17-2.7), libc6-dev, libgnome-dev (>= 1.4.2-3), libxml-dev
Suggests: glade
Conflicts: libglade-gnome-dev, libglade-gnome0 (<< 0.11), libglade0-dev (= 0.16-1)
Filename: pool/main/libg/libglade/libglade-gnome0-dev_0.17-2.7_i386.deb
Size: 38592
MD5sum: 934500f8e7a2525dba118705a23447b9
Description: Development files for libglade (Gnome widgets support).
 This library allows you to load user interfaces in your program, which are
 stored externally.  This allows alteration of the interface without
 recompilation of the program.
 .
 The interfaces can also be edited with GLADE.

Package: libglade0
Priority: optional
Section: libs
Installed-Size: 136
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libglade
Version: 1:0.17-2.7
Depends: libc6 (>= 2.2.5-13), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), libxml1 (>= 1:1.8.14-3), xlibs (>> 4.1.0), zlib1g (>= 1:1.1.4)
Filename: pool/main/libg/libglade/libglade0_0.17-2.7_i386.deb
Size: 56128
MD5sum: f697e6ec12093dce8f847649ea14cdc5
Description: Library to load .glade files at runtime.
 This library allows you to load user interfaces in your program, which are
 stored externally.  This allows alteration of the interface without
 recompilation of the program.
 .
 The interfaces can also be edited with GLADE.

Package: libglade0-dev
Priority: optional
Section: devel
Installed-Size: 422
Maintainer: Paolo Molaro <lupus@debian.org>
Architecture: i386
Source: libglade
Version: 1:0.17-2.7
Provides: libglade-dev
Depends: libglade0 (= 1:0.17-2.7), libgtk1.2-dev, libc6-dev, libxml-dev
Suggests: glade, python, pkg-config
Conflicts: libglade-dev, libglade0 (<< 0.11), libglade-gnome0-dev (= 0.16-1)
Filename: pool/main/libg/libglade/libglade0-dev_0.17-2.7_i386.deb
Size: 105658
MD5sum: a7afb693a1c67ef4f8d8c60251a89f1f
Description: Development files for libglade.
 This library allows you to load user interfaces in your program, which are
 stored externally.  This allows alteration of the interface without
 recompilation of the program.
 .
 The interfaces can also be edited with GLADE.

Justification: Outstanding RC bugs, was contacted several times about other
issues, said he'd fix but didn't.  Got many NMUs.  dh-make-perl: 3 NMUs,
jitterbug: 3 NMUs, libcorba-orbit-perl: 1 NMU, libglade: 7 NMUs, libgnome-
gnorba-perl: 1 NMU, libgtk-perl: 6 NMUs.

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from "Guilherme de S. Pastore" <gpastore@colband.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Guilherme de S. Pastore" <gpastore@colband.com.br> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206886; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Luiz Carlos Querino Filho <querino@bezenet.com.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 206886@bugs.debian.org (full text, mbox):

From: Luiz Carlos Querino Filho <querino@bezenet.com.br>
To: Debian Bug Tracking System <206886@bugs.debian.org>
Subject: Intention to Adopt package libglade - Development files for libglade
Date: Wed, 02 Jun 2004 09:04:32 -0300
Package: wnpp
Version: N/A; reported 2004-06-02
Followup-For: Bug #206886

I would like to contribute to the Debian project. Since I use libglade
on my development projects, and realized that it was orphaned, I am
willing to adopt it.
-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux srv-int 2.2.20 #1 Thu Feb 26 18:12:28 UTC 2004 i686
Locale: LANG=pt_BR, LC_CTYPE=pt_BR




Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206886; Package wnpp. Full text and rfc822 format available.

Message #19 received at 206886@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: debian-devel@lists.debian.org
Subject: Re: Planning a libglade to libglade2 transition
Date: Thu, 3 Nov 2005 17:06:36 +0000
In June I asked whether it would be possible to start a libglade to
libglade2 transition [1].  As it turns out, migrating applications to
libglade2 can be harder than expected and we can therefore assume that
libglade will stay with us for quite a while.

Unfortunately, libglade has been orphaned for over two years.  Given
that so many packages depend on it, it would be nice if libglade had
some maintainer, even if it's just for low-level maintenance.

Is anyone who maintains a package depending on libglade up to this, or
could the GNOME team adopt libglade?

[1] http://lists.debian.org/debian-devel/2005/06/msg01199.html
-- 
Martin Michlmayr
http://www.cyrius.com/


-- 
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Changed Bug title. Request was from Thomas Bushnell BSG <tb@becket.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#206886; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #26 received at 206886@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: debian-devel@lists.debian.org
Subject: Re: Planning a libglade to libglade2 transition
Date: Thu, 03 Nov 2005 11:17:21 -0800
Martin Michlmayr <tbm@cyrius.com> writes:

> Is anyone who maintains a package depending on libglade up to this, or
> could the GNOME team adopt libglade?
>
> [1] http://lists.debian.org/debian-devel/2005/06/msg01199.html

Since I'm the de facto gnome 1 weenie, being the last maintainer of a
big important gnome 1 package, which in fact uses libglade, I'll take
it.

Thomas



Owner recorded as Thomas Bushnell BSG <tb@becket.net>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to tb@debian.org (Thomas Bushnell, BSG):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 206886-close@bugs.debian.org (full text, mbox):

From: tb@debian.org (Thomas Bushnell, BSG)
To: 206886-close@bugs.debian.org
Subject: Bug#206886: fixed in libglade 1:0.17-5
Date: Sun, 06 Nov 2005 23:02:09 -0800
Source: libglade
Source-Version: 1:0.17-5

We believe that the bug you reported is fixed in the latest version of
libglade, which is due to be installed in the Debian FTP archive:

libglade-bonobo0-dev_0.17-5_powerpc.deb
  to pool/main/libg/libglade/libglade-bonobo0-dev_0.17-5_powerpc.deb
libglade-bonobo0_0.17-5_powerpc.deb
  to pool/main/libg/libglade/libglade-bonobo0_0.17-5_powerpc.deb
libglade-gnome0-dev_0.17-5_powerpc.deb
  to pool/main/libg/libglade/libglade-gnome0-dev_0.17-5_powerpc.deb
libglade-gnome0_0.17-5_powerpc.deb
  to pool/main/libg/libglade/libglade-gnome0_0.17-5_powerpc.deb
libglade0-dev_0.17-5_powerpc.deb
  to pool/main/libg/libglade/libglade0-dev_0.17-5_powerpc.deb
libglade0_0.17-5_powerpc.deb
  to pool/main/libg/libglade/libglade0_0.17-5_powerpc.deb
libglade_0.17-5.diff.gz
  to pool/main/libg/libglade/libglade_0.17-5.diff.gz
libglade_0.17-5.dsc
  to pool/main/libg/libglade/libglade_0.17-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 206886@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Bushnell, BSG <tb@debian.org> (supplier of updated libglade package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  6 Nov 2005 22:50:53 -0800
Source: libglade
Binary: libglade-bonobo0-dev libglade0 libglade-bonobo0 libglade-gnome0 libglade-gnome0-dev libglade0-dev
Architecture: source powerpc
Version: 1:0.17-5
Distribution: unstable
Urgency: low
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Changed-By: Thomas Bushnell, BSG <tb@debian.org>
Description: 
 libglade-bonobo0 - Library to load .glade files at runtime (Bonobo controls support)
 libglade-bonobo0-dev - Development files for libglade (Bonobo controls support)
 libglade-gnome0 - Library to load .glade files at runtime (Gnome widgets support)
 libglade-gnome0-dev - Development files for libglade (Gnome widgets support)
 libglade0  - Library to load .glade files at runtime
 libglade0-dev - Development files for libglade
Closes: 206886
Changes: 
 libglade (1:0.17-5) unstable; urgency=low
 .
   * New maintainer.  (Closes: #206886)
Files: 
 e10a3d610d8be2540403263e3df0f3eb 754 libdevel optional libglade_0.17-5.dsc
 26ca292e999357c7e0d13e74a12280d3 166486 libdevel optional libglade_0.17-5.diff.gz
 6e4d6d66f9f7a6034c0835d2b501a57b 121938 libdevel optional libglade0-dev_0.17-5_powerpc.deb
 67ff9ace82a9ae53dbe6753cd1b6edb5 61012 libs optional libglade0_0.17-5_powerpc.deb
 0cc0298d58d711931a828c88014a4aa3 44762 libdevel optional libglade-gnome0-dev_0.17-5_powerpc.deb
 8557c6f03b91f7c49eb00a831bb2f47a 44392 libs optional libglade-gnome0_0.17-5_powerpc.deb
 8e4f4e1cfbf4e7c20937fd8eada04b2a 23228 libdevel optional libglade-bonobo0-dev_0.17-5_powerpc.deb
 230a5783dd3862b17c39279dc41a9291 25406 libs optional libglade-bonobo0_0.17-5_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDbvpaqMsB9b6fcOoRAgNuAJ9NznN+Yu2JWFss8gsJVWZsrVFXkgCeKDu2
xmGcyP9eB4rjhwwt+MN+7Ig=
=rMUi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 02:10:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:33:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.